<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Aset</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-4 col-xs-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Form</h4>
                            <div class="card-header-action">
                                <a th:href="@{/assetLoan/list}" class="btn btn-info btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <form method="get">
                                        <div class="form-group">
                                            <label>Category</label>
                                            <select name="jenisAset" required class="form-control">
                                                <option value="" selected disabled>-- Pilih Salah Satu --</option>
                                                <option th:each="data, row:${asetCategory}"
                                                    th:value="${data.id}"
                                                    th:text="${data.jenisAset}"></option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label>Untuk Kegiatan</label>
                                            <select name="kegiatan" required class="form-control">
                                                <option value="" selected disabled>-- Pilih Salah Satu --</option>
                                                <option value="PRIBADI">Pribadi</option>
                                                <option value="ORGANISASI">Organisasi</option>
                                            </select>
                                        </div>
<!--                                        <div class="form-group">-->
<!--                                            <label>Deskripsi Kegiatan</label>-->
<!--                                            <textarea name="" id="" cols="30" rows="10" class="form-control"></textarea>-->
<!--                                        </div>-->
                                        <div class="form-group">
                                            <label>Tanggal Mulai Meminjam</label>
                                            <input type="date" id="start" th:value="${tanggalMulaiPeminjaman}" required name="tanggalMulaiPeminjaman" class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Tanggal Berakhir Meminjam</label>
                                            <input type="date" id="end" required th:value="${tanggalBerakhirPeminjaman}" name="tanggalBerakhirPeminjaman" class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <button class="btn btn-info">Cari</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-8 col-xs-12" th:if="${jenisAset != null}">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead class="table-light">
                                    <tr>
                                        <th>No. </th>
                                        <th>Nama Barang</th>
                                        <th>Lokasi Barang</th>
                                        <th>Keterangan</th>
                                        <th>Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row:${aset}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.namaAset}"></td>
                                        <td th:text="${data.ruangan.namaRuangan}"></td>
                                        <td th:text="${data.keterangan}"></td>
                                        <td th:if="${cek == 'ada'}">
                                            <table>
                                                <tr th:each="dataCekAset, row:${cekAset}">
                                                    <td th:if="${dataCekAset.aset.id == data.id}">
                                                        <span class="btn btn-danger btn-sm">Tidak Tersedia</span>
                                                    </td>
                                                    <td th:if="${dataCekAset.aset.id != data.id}">
                                                        <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                                                            Pilih
                                                        </button>

                                                        <!-- Modal -->
                                                        <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" role="dialog" data-backdrop="false" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog" role="document">
                                                                <form th:action="@{/assetLoan/save}" method="post">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="exampleModalLabel">Info !!</h5>
                                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                <span aria-hidden="true">&times;</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <div class="form-group">
                                                                                <label>Aset yang dipinjam</label>
                                                                                <input type="text" class="form-control" th:value="${data.namaAset}" readonly>
                                                                                <input type="hidden" name="aset" th:value="${data.id}">
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <label>Tanggal mulai peminjaman</label>
                                                                                <input type="text" class="form-control" name="tanggalMulaiPeminjaman" th:value="${tanggalMulai}" readonly>
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <label>Tanggal mulai berakhir</label>
                                                                                <input type="text" class="form-control" name="tanggalBerakhirPeminjaman" th:value="${tanggalBerakhir}" readonly>
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <div class="row">
                                                                                    <div class="col-md-6 col-xs-12">
                                                                                        <label>Tarif</label>
                                                                                        <input type="text" readonly name="tarif" th:value="${'Rp. ' + #numbers.formatDecimal(data.hargaPinjam, 0, 'POINT', 2, 'COMMA')}" class="form-control">
                                                                                    </div>
                                                                                    <div class="col-md-6 col-xs-12">
                                                                                        <label>Jumlah hari peminjaman</label>
                                                                                        <input type="text" th:value="${berapaLama + ' hari'}" class="form-control" readonly>
                                                                                        <input type="hidden" name="hari" th:value="${berapaLama}">
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <label>Tarif yang harus dibayar</label>
                                                                                <input type="text" class="form-control" name="tagihan" readonly th:with="var=${#conversions.convert(data.hargaPinjam, 'java.lang.Integer') * berapaLama}" th:value="${'Rp. ' + #numbers.formatDecimal(var, 0, 'POINT', 2, 'COMMA')}">
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <label>Untuk kegiatan</label>
                                                                                <input type="text" class="form-control" name="kegiatan" th:value="${kegiatan}" readonly>
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <label>Deskripsi kegiatan</label>
                                                                                <input type="text" class="form-control" name="keterangan" required>
                                                                                <input type="hidden" th:value="${nama}" name="nama">
                                                                                <input type="hidden" th:value="${email}" name="email">
                                                                                <input type="hidden" th:value="${noHp}" name="noHp">
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
                                                                            <button type="submit" class="btn btn-primary">Ajukan Peminjaman</button>
                                                                        </div>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td th:if="${cek == 'kosong'}">
                                            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                                                Pilih
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" role="dialog" data-backdrop="false" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/assetLoan/save}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info !!</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="form-group">
                                                                    <label>Aset yang dipinjam</label>
                                                                    <input type="text" class="form-control" th:value="${data.namaAset}" readonly>
                                                                    <input type="hidden" name="aset" th:value="${data.id}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Tanggal mulai peminjaman</label>
                                                                    <input type="text" class="form-control" name="tanggalMulaiPeminjaman" th:value="${tanggalMulai}" readonly>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Tanggal mulai berakhir</label>
                                                                    <input type="text" class="form-control" name="tanggalBerakhirPeminjaman" th:value="${tanggalBerakhir}" readonly>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="row">
                                                                        <div class="col-md-6 col-xs-12">
                                                                            <label>Tarif</label>
                                                                            <input type="text" readonly name="tarif" th:value="${'Rp. ' + #numbers.formatDecimal(data.hargaPinjam, 0, 'POINT', 2, 'COMMA')}" class="form-control">
                                                                        </div>
                                                                        <div class="col-md-6 col-xs-12">
                                                                            <label>Jumlah hari peminjaman</label>
                                                                            <input type="text" th:value="${berapaLama + ' hari'}" class="form-control" readonly>
                                                                            <input type="hidden" name="hari" th:value="${berapaLama}">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Tarif yang harus dibayar</label>
                                                                    <input type="text" class="form-control" name="tagihan" readonly th:with="var=${#conversions.convert(data.hargaPinjam, 'java.lang.Integer') * berapaLama}" th:value="${'Rp. ' + #numbers.formatDecimal(var, 0, 'POINT', 2, 'COMMA')}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Untuk kegiatan</label>
                                                                    <input type="text" class="form-control" name="kegiatan" th:value="${kegiatan}" readonly>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Deskripsi kegiatan</label>
                                                                    <input type="text" class="form-control" name="keterangan" required>
                                                                    <input type="hidden" th:value="${nama}" name="nama">
                                                                    <input type="hidden" th:value="${email}" name="email">
                                                                    <input type="hidden" th:value="${noHp}" name="noHp">
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
                                                                <button type="submit" class="btn btn-primary">Ajukan Peminjaman</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>